extends Button

@onready var button = $"."
@onready var direct_menu = $"../../../DirectMenu"
@onready var settings_menu = $"../../../SettingsMenu"

func _ready():
	button.pressed.connect(self._button_pressed)

func _button_pressed():
	if ("quit" in name):
		get_tree().quit()
	elif ("direct" in name):
		settings_menu.visible = false
		direct_menu.visible = true
	elif("settings" in name):
		settings_menu.visible = true
		direct_menu.visible = false
